﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Demka_2.Use;
public class Service
{
    [Key]
    public Guid guid {  get; set; }
    public string Name { get; set; }
    public string ImagePath { get; set; }
    public decimal Price { get; set; }
    public decimal Discount { get; set; }
    public int Duration { get; set; }
    public string Description { get; set; } 
    public decimal FinalPrice => Price * (1 - Discount / 100);
    public bool CanDelete { get; set; } = true;
}

